Bug 1133939 - TAB completion for pulp-admin returns only long options
Summary: TAB completion for pulp-admin returns only long options
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: Master
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: 2.6.0
Assignee: Irina Gulina
QA Contact: Martin Minar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-26 13:35 UTC by Irina Gulina
Modified: 2016-07-04 00:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:16:38 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 500 0 None None None Never

Description Irina Gulina 2014-08-26 13:35:13 UTC
Description of problem:
TAB completion for pulp-admin doesn't return short options

How reproducible:
always


Steps to Reproduce:
>> pulp-admin -u admin -p admin rpm repo list --
--all      --details  --fields   --help     --summary  
>> pulp-admin -u admin -p admin rpm repo list --help
Command: list
Description: lists repositories on the Pulp server

Available Arguments:

  --summary, -s - if specified, a condensed view with just the repository ID and
                  name is displayed
  --details     - if specified, detailed configuration information is displayed
                  for each repository
  --fields      - comma-separated list of repository fields; if specified, only
                  the given fields will displayed
  --all, -a     - if specified, information on all Pulp repositories, regardless
                  of type, will be displayed
>> pulp-admin -u admin -p admin rpm repo list -s[TAB][TAB]
... nothing here


Expected results:
>> pulp-admin -u admin -p admin rpm repo list -[TAB][TAB]
-a --all      --details  --fields   --help  -s   --summary

Comment 1 Irina Gulina 2014-09-15 10:19:47 UTC
https://github.com/pulp/pulp/pull/1138

Comment 2 Chris Duryee 2014-12-23 20:52:45 UTC
fixed in pulp 2.6.0-0.2.beta

Comment 3 Brian Bouterse 2015-02-28 22:16:38 UTC
Moved to https://pulp.plan.io/issues/500


Note You need to log in before you can comment on or make changes to this bug.